# MatFDColoringDestroy

Destroys a matrix coloring context that was created via MatFDColoringCreate().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatFDColoringDestroy(MatFDColoring c)

Collective on MatFDColoring

### Input Parameter

c -coloring context

### See Also

MatFDColoringCreate()

Level:intermediate
Location: src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex26.c.html
src/ts/examples/tutorials/ex7.c.html